E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::Client::Config Struct Reference

A structure containing GSmtp::Client configuration parameters. More...

`#include <gsmtpclient.h>`

## Public Member Functions
| Config (const std::string &filter_address, unsigned int filter_timeout, bool bind_local_address, const GNet::Address &local_address, const ClientProtocol::Config &protocol_config, unsigned int connection_timeout, unsigned int secure_connection_timeout, bool secure_tunnel, const std::string &sasl_client_config)
Config & | set_filter_address (const std::string &)
Config & | set_filter_timeout (unsigned int)
Config & | set_bind_local_address (bool=true)
Config & | set_local_address (const GNet::Address &)
Config & | set_client_protocol_config (const ClientProtocol::Config &)
Config & | set_connection_timeout (unsigned int)
Config & | set_secure_connection_timeout (unsigned int)
Config & | set_secure_tunnel (bool=true)
Config & | set_sasl_client_config (const std::string &)

## Public Attributes
std::string | filter_address
unsigned int | filter_timeout {0U}
bool | bind_local_address {false}
GNet::Address | local_address
ClientProtocol::Config | client_protocol_config
unsigned int | connection_timeout {0U}
unsigned int | secure_connection_timeout {0U}
bool | secure_tunnel {false}
std::string | sasl_client_config

## Detailed Description

A structure containing GSmtp::Client configuration parameters.

Definition at line 56 of file gsmtpclient.h.

## Constructor & Destructor Documentation

## ◆ Config() [1/2]

GSmtp::Client::Config::Config | ( |  | ) |

Definition at line 342 of file gsmtpclient.cpp.

## ◆ Config() [2/2]

GSmtp::Client::Config::Config | ( | const std::string & | filter_address,
|  | unsigned int | filter_timeout,
|  | bool | bind_local_address,
|  | const GNet::Address & | local_address,
|  | const ClientProtocol::Config & | protocol_config,
|  | unsigned int | connection_timeout,
|  | unsigned int | secure_connection_timeout,
|  | bool | secure_tunnel,
|  | const std::string & | sasl_client_config
| ) |  |

Definition at line 347 of file gsmtpclient.cpp.

## Member Function Documentation

## ◆ set_bind_local_address()

GSmtp::Client::Config & GSmtp::Client::Config::set_bind_local_address | ( | bool | b = `true` | ) |
| inline

Definition at line 166 of file gsmtpclient.h.

## ◆ set_client_protocol_config()

GSmtp::Client::Config & GSmtp::Client::Config::set_client_protocol_config | ( | const ClientProtocol::Config & | c | ) |
| inline

Definition at line 168 of file gsmtpclient.h.

## ◆ set_connection_timeout()

GSmtp::Client::Config & GSmtp::Client::Config::set_connection_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 169 of file gsmtpclient.h.

## ◆ set_filter_address()

GSmtp::Client::Config & GSmtp::Client::Config::set_filter_address | ( | const std::string & | s | ) |
| inline

Definition at line 164 of file gsmtpclient.h.

## ◆ set_filter_timeout()

GSmtp::Client::Config & GSmtp::Client::Config::set_filter_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 165 of file gsmtpclient.h.

## ◆ set_local_address()

GSmtp::Client::Config & GSmtp::Client::Config::set_local_address | ( | const GNet::Address & | a | ) |
| inline

Definition at line 167 of file gsmtpclient.h.

## ◆ set_sasl_client_config()

GSmtp::Client::Config & GSmtp::Client::Config::set_sasl_client_config | ( | const std::string & | s | ) |
| inline

Definition at line 172 of file gsmtpclient.h.

## ◆ set_secure_connection_timeout()

GSmtp::Client::Config & GSmtp::Client::Config::set_secure_connection_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 170 of file gsmtpclient.h.

## ◆ set_secure_tunnel()

GSmtp::Client::Config & GSmtp::Client::Config::set_secure_tunnel | ( | bool | b = `true` | ) |
| inline

Definition at line 171 of file gsmtpclient.h.

## Member Data Documentation

## ◆ bind_local_address

bool GSmtp::Client::Config::bind_local_address {false}

Definition at line 60 of file gsmtpclient.h.

## ◆ client_protocol_config

ClientProtocol::Config GSmtp::Client::Config::client_protocol_config

Definition at line 62 of file gsmtpclient.h.

## ◆ connection_timeout

unsigned int GSmtp::Client::Config::connection_timeout {0U}

Definition at line 63 of file gsmtpclient.h.

## ◆ filter_address

std::string GSmtp::Client::Config::filter_address

Definition at line 58 of file gsmtpclient.h.

## ◆ filter_timeout

unsigned int GSmtp::Client::Config::filter_timeout {0U}

Definition at line 59 of file gsmtpclient.h.

## ◆ local_address

GNet::Address GSmtp::Client::Config::local_address

Definition at line 61 of file gsmtpclient.h.

## ◆ sasl_client_config

std::string GSmtp::Client::Config::sasl_client_config

Definition at line 66 of file gsmtpclient.h.

## ◆ secure_connection_timeout

unsigned int GSmtp::Client::Config::secure_connection_timeout {0U}

Definition at line 64 of file gsmtpclient.h.

## ◆ secure_tunnel

bool GSmtp::Client::Config::secure_tunnel {false}

Definition at line 65 of file gsmtpclient.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpclient.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpclient.cpp